Package org.mozilla.javascript

## Interface GeneratedClassLoader

- All Known Implementing Classes:
    `DefiningClassLoader`

      public interface GeneratedClassLoader

  Interface to define classes from generated byte code.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `defineClass​(java.lang.String name, byte[] data)` | Define a new Java class.
    `void` | `linkClass​(java.lang.Class<?> cl)` | Link the given class.

- - ### Method Detail

    - #### defineClass

          java.lang.Class<?> defineClass​(java.lang.String name,
                                         byte[] data)

      Define a new Java class. Classes created via this method should have the same class loader.
      Parameters:
        `name` - fully qualified class name
        `data` - class byte code
      Returns:
        new class object

    - #### linkClass

          void linkClass​(java.lang.Class<?> cl)

      Link the given class.
      Parameters:
        `cl` - Class instance returned from the previous call to `defineClass(String, byte[])`
      See Also:
        `ClassLoader`